{# vim: sts=2 ts=2 sw=2 et ai ft=jinja #}

{#- Start imports #}
{% import_yaml "blacklistd/defaults.yaml" as defaults %}
{% import_yaml "blacklistd/osfamilymap.yaml" as osfamilymap %}
{% import_yaml "blacklistd/osmap.yaml" as osmap %}

{# Merge the osfamilymap #}
{% set osfamily = salt['grains.filter_by'](osfamilymap, grain='os_family') or {} %}
{% set blacklistd = salt['slsutil.merge'](defaults['blacklistd'], osfamily) %}

{# Merge the osmap #}
{% set osmap = salt['grains.filter_by'](osmap, grain='os') or {} %}
{% set blacklistd = salt['slsutil.merge'](blacklistd, osmap) %}

{# Merge the lookup #}
{% set lookup = salt['pillar.get']('blacklistd:lookup', default={}, merge=True) %}
{% set blacklistd = salt['slsutil.merge'](blacklistd, lookup) %}
